---
updatedAt: 2025-04-29T09:34:09.000Z
agentTools:
  projectIndex: https://developers.wingify.com/llms.txt
---

# Retrieve all workspaces

Request URI

```
GET /accounts
```

<HTMLBlock>{`
<div></div>

<style></style>
`}</HTMLBlock>

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "api",
    "version": "4"
  },
  "servers": [
    {
      "url": "https://app.wingify.com/api/v2"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "apiKey",
        "in": "header",
        "name": "token"
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/accounts": {
      "get": {
        "summary": "Retrieve all workspaces",
        "description": "",
        "operationId": "get-all-sub-accounts",
        "parameters": [
          {
            "name": "includeCurrent",
            "in": "query",
            "description": "Use 'true' to include the currently authenticated workspace in the response. By default, only secondary workspaces are returned.",
            "schema": {
              "type": "string",
              "default": "false"
            }
          },
          {
            "name": "status",
            "in": "query",
            "description": "Use 'active' to return only active workspace. Use 'disabled' to return only disabled workspace. By default, all workspaces are returned.",
            "schema": {
              "type": "string",
              "default": "all"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n  \"_data\": [\n    {\n      \"id\": 916,\n      \"name\": \"New account\",\n      \"createdOn\": 1271158169,\n      \"enabled\": true\n    },\n    {\n      \"id\": 874,\n      \"name\": \"Test Account\",\n      \"createdOn\": 1269942600,\n      \"enabled\": true\n    }\n  ]\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "_data": {
                      "type": "array",
                      "items": {
                        "type": "object",
                        "properties": {
                          "id": {
                            "type": "integer",
                            "example": 916,
                            "default": 0
                          },
                          "name": {
                            "type": "string",
                            "example": "New account"
                          },
                          "createdOn": {
                            "type": "integer",
                            "example": 1271158169,
                            "default": 0
                          },
                          "enabled": {
                            "type": "boolean",
                            "example": true,
                            "default": true
                          }
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        },
        "deprecated": false,
        "x-readme": {
          "code-samples": [
            {
              "language": "python",
              "code": "import requests\n\nurl = \"https://app.wingify.com/api/v2/accounts?includeCurrent=false&status=all\"\n\nheaders = {\n    'token': \"96ca71826128162811321nnjadsdjnsadkf33c4c03660a2398abd93f60c74ef1b442a434\",\n    'cache-control': \"no-cache\"\n    }\n\nresponse = requests.request(\"GET\", url, headers=headers)\n\nprint(response.text)"
            }
          ],
          "samples-languages": [
            "python"
          ]
        }
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```